       SUBROUTINE  read_data_hur

C      PURPOSE: To read in data used to construct flux table and
C               associated transfer coefficients


       IMPLICIT NONE

       include "flux_hur.inc"


       INTEGER i

     
      
    
C Read in data used to construct flux table

      OPEN (UNIT=23, FILE='table_data_hur.dat', STATUS='OLD')

      READ(23,*) (spd_table(i),i=1,xdim)

      READ(23,*) (tdif_table(i),i=1,ydim)

      READ(23,*) (tocn_table(i),i=1,ydim)

      READ(23,*) (ref_ht_table(i),i=1,zdim)

      CLOSE(UNIT=23)




C Read in flux table transfer coefficients
          
      OPEN (UNIT=24, FILE='cd_hur.dat', STATUS='OLD')

      READ(24,*) cd_table

      CLOSE(UNIT=24)


      OPEN (UNIT=24, FILE='ch_hur.dat', STATUS='OLD')

      READ(24,*) ch_table

      CLOSE(UNIT=24)


      OPEN (UNIT=24, FILE='ce_hur.dat', STATUS='OLD')

      READ(24,*) ce_table

      CLOSE(UNIT=24)


   
      RETURN
      END 
